"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const build_kit_1 = require("@genesislcap/build-kit");
const resolveFilter = (module = '', scope = '') => {
    const moduleFull = !module.includes('@') && scope ? `${scope}/${module}` : module;
    return module ? `--scope ${moduleFull}` : '';
};
exports.default = (task, module, options) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const dir = process.cwd();
    const ctx = yield (0, build_kit_1.loadBuildContext)(dir, build_kit_1.COMMAND.RUN, options);
    const lerna = yield (0, build_kit_1.resolveBin)('lerna');
    const filter = resolveFilter(module, ctx.pkg.nameScope);
    const args = (0, build_kit_1.unparseArgs)(options);
    const command = `${lerna} run ${task} ${filter} ${args}`;
    (0, build_kit_1.run)(dir, command);
});
